@import url('https://fonts.googleapis.com/css?family=Karla:400,700&display=swap');

:root {
    --bgColor: #1B19E7;
    --bgColor2: #F4191A;
    --accentColor: #FFF;
    --font: 'Karla', sans-serif;
    --delay: .3s;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    font-family: var(--font);
    background: radial-gradient(ellipse at center, var(--bgColor) 0%, var(--bgColor2) 100%);
    opacity: 0;
    animation: 1s ease-out var(--delay) 1 transitionAnimation; /* duration/timing-function/delay/iterations/name */
    animation-fill-mode: forwards;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

#profilePicture, #profilePicture img {
    position: relative;
    width: 200px;
    height: 200px;
    display: block;
    margin: 40px auto 20px;
    border-radius: 50%;
    -webkit-tap-highlight-color: transparent;
}

#userName {
    color: var(--accentColor);
    font-size: 3rem;
    font-weight: bold;
    line-height: 1.5;
    display: block;
    width: 100%;
    text-align: center;
    text-decoration: none;
}

#userStrap {
    color: var(--accentColor);
    font-size: 1.25rem;
    font-weight: normal;
    line-height: 1.25;
    display: block;
    font-family: var(--font);
    width: 100%;
    text-align: center;
    text-decoration: none;
    max-width: 675px;
    margin: 10px auto;
}

#social-links {
    max-width: 650px;
    width: auto;
    display: block;
    margin: 27px auto;
}

#social-links a {
    position: relative;
    background-color: transparent;
    color: var(--accentColor);
    font-size: 2rem;
    text-align: center;
    display: inline-block;
    margin-left: 10px;
    margin-right: 10px;
    padding: 10px; /* 17px */
    text-decoration: none;
    /* transition: all .25s cubic-bezier(.08, .59, .29, .99); */
    -webkit-tap-highlight-color: transparent;
}

/*-------------------------animations-----------------------*/

@keyframes transitionAnimation {
    0% {
        opacity: 0;
        transform: translateY(-10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

/*-------------------------animations-----------------------*/

